This is the multi-page printable view of this section. Click here to print.
APIs
- 1: CreateAlert
- 2: CreateCustomLogEvents
- 3: CreateCustomLogStream
- 4: CreateCustomMetricMetas
- 5: CreateCustomMetrics
- 6: CreateDashboard
- 7: CreateEventRule
- 8: CreateLogGroup
- 9: CreateLogGroupExportTask
- 9.1: 1.4
- 10: CreateLogStream
- 11: DeleteAlerts
- 12: DeleteBulkDashboards
- 13: DeleteEventRules
- 14: DeleteLogGroups
- 15: DeleteLogStreams
- 16: DownloadMetricDataImage
- 17: GetListOfAlertNotifications
- 17.1: 1.4
- 18: GetListOfAlerts
- 18.1: 1.4
- 19: GetListOfNamespacesByAlerts
- 19.1: 1.4
- 20: ListDashboards
- 21: ListLogGroups
- 22: ListMetricData
- 23: ListMetricInfos
- 24: SetAlert
- 25: SetAlertActivated
- 26: SetAlertDescription
- 27: SetAlertNotifications
- 27.1: 1.4
- 28: SetDashboard
- 29: SetEventRule
- 30: SetLogGroup
- 31: ShowAgentDownloadLink
- 32: ShowAlert
- 33: ShowAlertLevelCountsByService
- 33.1: 1.4
- 34: ShowDashboard
- 35: ShowEventRule
- 36: ShowLogGroup
- 37: ShowLogStream
1 - CreateAlert
1.1 - 1.4
post /v1/alerts
Description
Create an Alert
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AlertCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"description": "Description for Alert Test",
"dimension": {
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [],
"evaluation_count": 3,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "f13aab3b88c341b2bc73f8925a0e8cc5",
"missing_data_option": "BREACHING",
"name": "Alert Test",
"namespace_id": "1d9d05af5c624f2cb80a45f2c911e2f4",
"operator": "RANGE",
"period": 300,
"recipient_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
],
"statistic": "AVG",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"threshold": 80.0,
"upper_bound": 90.0,
"violation_count": 2
}
Example HTTP response
Response 201
{
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "3234bd0f12fa4d0b97ab9feff6c09b8e"
}
1.2 - 1.3
post /v1/alerts
Description
Create an Alert
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AlertCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"description": "Description for Alert Test",
"dimension": {
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [],
"evaluation_count": 3,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "f13aab3b88c341b2bc73f8925a0e8cc5",
"missing_data_option": "BREACHING",
"name": "Alert Test",
"namespace_id": "1d9d05af5c624f2cb80a45f2c911e2f4",
"operator": "RANGE",
"period": 300,
"recipient_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
],
"statistic": "AVG",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"threshold": 80.0,
"upper_bound": 90.0,
"violation_count": 2
}
Example HTTP response
Response 201
{
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "3234bd0f12fa4d0b97ab9feff6c09b8e"
}
1.3 - 1.2
post /v1/alerts
Description
Create an Alert
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AlertCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"description": "Description for Alert Test",
"dimension": {
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
},
"dimensions": [],
"evaluation_count": 3,
"individual_items": [
{
"key": "VolumeID",
"value": "45fbde15-cdd2-4891-be31-4a9de75fccda"
}
],
"level": "HIGH",
"lower_bound": 80.0,
"metric_id": "f13aab3b88c341b2bc73f8925a0e8cc5",
"missing_data_option": "BREACHING",
"name": "Alert Test",
"namespace_id": "1d9d05af5c624f2cb80a45f2c911e2f4",
"operator": "RANGE",
"period": 300,
"recipient_ids": [
"1234da92-634a-4f8c-932e-9d650599ab1b",
"1234da92-634a-4f8c-932e-9d650599ab1a",
"1234da92-634a-4f8c-932e-9d650599ab1c"
],
"statistic": "AVG",
"tags": [
{
"key": "key01",
"value": "value01"
}
],
"threshold": 80.0,
"upper_bound": 90.0,
"violation_count": 2
}
Example HTTP response
Response 201
{
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "3234bd0f12fa4d0b97ab9feff6c09b8e"
}
2 - CreateCustomLogEvents
2.1 - 1.4
post /v1/log-groups/log-streams/log-events
Description
Create Custom log events
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CustomLogEventsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LogEventsCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
{
"status": "success"
}
2.2 - 1.3
post /v1/log-groups/log-streams/log-events
Description
Create Custom log events
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CustomLogEventsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LogEventsCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
{
"status": "success"
}
2.3 - 1.2
post /v1/log-groups/log-streams/log-events
Description
Create Custom log events
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CustomLogEventsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LogEventsCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
{
"status": "success"
}
2.4 - 1.1
post /v1/log-groups/log-streams/log-events
Description
Create Custom log events
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CustomLogEventsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | LogEventsCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/log-events
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"resourceLogs": [
{
"resource": {
"attributes": [
{
"key": "log_stream_value",
"value": {
"stringValue": "a1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "log_group_value",
"value": {
"stringValue": "b1e2f3045678901a2b3c4d5e6f7a8b81"
}
},
{
"key": "account_id",
"value": {
"stringValue": "c1e2f3045678901a2b3c4d5e6f7a8b81"
}
}
]
},
"scopeLogs": [
{
"logRecords": [
{
"body": {
"stringValue": "level=info otlp test log"
},
"timeUnixNano": "1762336464000000000"
}
]
}
]
}
]
}
Example HTTP response
Response 202
{
"status": "success"
}
3 - CreateCustomLogStream
3.1 - 1.4
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsLogStreamsCollectCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsLogStreamsCollectCustomResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
3.2 - 1.3
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsLogStreamsCollectCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsLogStreamsCollectCustomResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
3.3 - 1.2
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsLogStreamsCollectCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsLogStreamsCollectCustomResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
3.4 - 1.1
post /v1/log-groups/log-streams/collect/custom
Description
Create a custom log stream
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsLogStreamsCollectCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsLogStreamsCollectCustomResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/log-streams/collect/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"log_group_name": "testlg01",
"log_stream_name": "testls01"
}
Example HTTP response
Response 200
{
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"log_group_value": "fa6169af200b4d5db229aff384b2a028",
"log_stream_value": "551513c5182b45beb22eadb634cdccfb",
"requests_per_second": 500
}
4 - CreateCustomMetricMetas
4.1 - 1.4
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomMetaRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricCustomMetaResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom/meta
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
4.2 - 1.3
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomMetaRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricCustomMetaResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom/meta
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
4.3 - 1.2
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomMetaRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricCustomMetaResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom/meta
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
4.4 - 1.1
post /v1/metrics/custom/meta
Description
Create Custom Metric Metas
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomMetaRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | MetricCustomMetaResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom/meta
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"metricMetas": [
{
"descriptionEn": "filestorage volume total byte",
"descriptionKo": "파일스토리지 총 바이트 수",
"dimensions": [
[
"image_id"
]
],
"metricName": "Custom_filestorage_volume_total_byte",
"storageResolution": 60,
"unit": "Bytes"
}
],
"namespace": "MyCustom/filestorage"
}
Example HTTP response
Response 200
{
"account_id": "d79a5194b1a44a858969eb94754d3ba1",
"max_data_points": "",
"unit_logs": [
{
"code": "Success",
"message": "[libvirt_domain_info_virtual_cpus] unit is updated from Count to Bytes"
}
]
}
5 - CreateCustomMetrics
5.1 - 1.4
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
5.2 - 1.3
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
5.3 - 1.2
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
5.4 - 1.1
post /v1/metrics/custom
Description
Create Custom Metrics. The request body of this API can receive data in either camelCase or snake_case.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | MetricCustomRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/metrics/custom
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"resource_metrics": [
{
"resource": {
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
]
},
"scope_metrics": [
{
"metrics": [
{
"description": "The total number of bytes read successfully.",
"gauge": {
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
]
},
"name": "node_disk_read_bytes_total",
"sum": {
"aggregation_temporality": "2",
"data_points": [
{
"as_double": 0.75,
"as_int": 10,
"attributes": [
{
"key": "",
"value": {
"array_value": "",
"bool_value": "",
"byte_value": "",
"double_value": "",
"int_value": "",
"kvlist_value": "",
"string_value": ""
}
}
],
"start_time_unix_nano": "1753776789854000000",
"time_unix_nano": "1753776789854000000"
}
],
"is_monotonic": true
},
"unit": "Bytes"
}
],
"scope": {
"name": "ServiceWatch-Agent",
"version": "1.0.0"
}
}
]
}
]
}
Example HTTP response
Response 202
6 - CreateDashboard
6.1 - 1.4
post /v1/dashboards
Description
Create dashboard
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
6.2 - 1.3
post /v1/dashboards
Description
Create dashboard
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
6.3 - 1.2
post /v1/dashboards
Description
Create dashboard
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
6.4 - 1.1
post /v1/dashboards
Description
Create dashboard
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"service_code": "virtualserver",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
6.5 - 1.0
post /v1/dashboards
Description
Create dashboard
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardCreationRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | DashboardDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "New-Monitoring-Dashboard",
"widgets": [
{
"height": 1,
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
Example HTTP response
Response 201
{
"alerts": {
"summary": {
"high": 1,
"low": 0,
"medium": 3
},
"widgets": [
{
"properties": {
"metrics": [
{
"alerts": [
{
"id": "",
"name": ""
}
],
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
}
}
]
},
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "user-xxxxxxxx",
"favorite_enabled": true,
"id": "b48e730a70e74f6aa3d2555000b5c22b",
"modified_at": "",
"modified_by": "user-yyyyyyyy",
"name": "Production-Web-Servers",
"product_name": "ServiceWatch",
"resource_id": "c8e41e595ad040a8abe57e2ffc109113",
"resource_name": "Production-Web-Servers",
"resource_type": "dashboard",
"share_type": "Private",
"srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
"type": "Custom",
"widgets": [
{
"dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
"height": 1,
"id": "75da70a1a4fb486ab0282cf90693ec3c",
"order": 1,
"properties": {
"metrics": [
{
"color": "#ff7f0e",
"dimensions": [
{
"key": "resource_id",
"value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
}
],
"display_name": "EC2-Prod-CPU",
"individual_items": [
{
"key": "BucketId",
"value": "b-1234567890abcdef0"
}
],
"name": "CPUUtilization",
"namespace_name": "Virtual Server",
"period": 300,
"statistic_type": "AVG"
}
],
"period": 300,
"stacked": false,
"statistic_type": "AVG",
"title": "Virtual Server | CPU Utilization",
"view": "line"
},
"type": "metric",
"width": 1
}
]
}
7 - CreateEventRule
7.1 - 1.4
post /v1/event-rules
Description
Create an Event rule.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
7.2 - 1.3
post /v1/event-rules
Description
Create an Event rule.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
7.3 - 1.2
post /v1/event-rules
Description
Create an Event rule.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
7.4 - 1.1
post /v1/event-rules
Description
Create an Event rule.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
7.5 - 1.0
post /v1/event-rules
Description
Create an Event rule.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRuleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | EventRuleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"description": "Event rule 1 description",
"event_ids": [
"014cb88ca2a9420e840d5c9ac16cac89",
"28520cbbc8c54a3f86f513a9695e6481",
"29f97b569020491ca63d37e27b2c7fec",
"3339ebd5839e41c982a81803431f6932",
"3fb112a5708f44549878c7de7159922d"
],
"name": "Event rule 1",
"recipient_ids": [
"947c6a8559434505b28a5e21fff463d0",
"aa57f19630b347f0b294f189acd098a7",
"bc086de26abc4ea2b3e1322b14c013f3",
"4af4507824924a7a9988a7bd3bd09bb7",
"c0e4f5d4b0cf4dc5b8f6f915602949d5"
],
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9",
"srn_list": [
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a58c8645928043a6868277c7d7fef11a",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/1fd94ff609dd40b3a873b306432059df",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/a23783834c7c4fd29b015632811b9a76",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/704c0b21e1be44ba82a552d751d282d2",
"srn:dev2::1bcf39b344ac41cbaf0466ff0d2bebad:kr-west1::servicewatch:event-rule/63b5ea57e1254dfaa934cd76aaf3aade"
],
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"event_rule": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"active_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"description": "Event rule 1 description",
"id": "b73f95c698f540dab18860f72fafd03f",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "Event rule 1",
"resource_type_id": "596bf16709e84e27b7df397bf59b877c",
"service_id": "2778de83d7e247609445bbd570a4eba9"
}
}
8 - CreateLogGroup
8.1 - 1.4
post /v1/log-groups
Description
Create a Log group.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
8.2 - 1.3
post /v1/log-groups
Description
Create a Log group.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
8.3 - 1.2
post /v1/log-groups
Description
Create a Log group.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
8.4 - 1.1
post /v1/log-groups
Description
Create a Log group.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
8.5 - 1.0
post /v1/log-groups
Description
Create a Log group.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "testlg01",
"retention_period": 365,
"tags": [
{
"key": "key01",
"value": "value01"
},
{
"key": "key02",
"value": "value02"
}
]
}
Example HTTP response
Response 201
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}
9 - CreateLogGroupExportTask
9.1 - 1.4
post /v1/log-groups/export-tasks
Description
Create a Log group export task.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupExportTaskCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogGroupExportTaskShowResponse |
| 400 | Bad Request | None |
Example HTTP request
Request path
/v1/log-groups/export-tasks
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"bucket_name": "",
"end_at": "",
"log_group_id": "",
"log_stream_ids": [
""
],
"start_at": ""
}
Example HTTP response
Response 201
{
"log_group_export": {
"account_id": "",
"bucket_name": "",
"bucket_path": "",
"completed_at": "",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"deleted_yn": "",
"end_at": "",
"id": "",
"log_group_id": "",
"log_group_name": "",
"start_at": "",
"state": "PENDING"
}
}
10 - CreateLogStream
10.1 - 1.4
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"name": "testls01"
}
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
10.2 - 1.3
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"name": "testls01"
}
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
10.3 - 1.2
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"name": "testls01"
}
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
10.4 - 1.1
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"name": "testls01"
}
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
10.5 - 1.0
post /v1/log-groups/{log_group_id}/log-streams
Description
Create a Log group log stream.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LogStreamShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"name": "testls01"
}
Example HTTP response
Response 201
{
"log_stream": {
"collect_yn": "Y",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "b0fc99a46a2c44b8b22739b130853dd8",
"log_group_id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testls01"
}
}
11 - DeleteAlerts
11.1 - 1.4
delete /v1/alerts
Description
Delete Alerts
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AlertDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"ids": [
"3234bd0f12fa4d0b97ab9feff6c09b8e"
]
}
Example HTTP response
Response 200
{
"ids": [
"3234bd0f12fa4d0b97ab9feff6c09b8e"
]
}
11.2 - 1.3
delete /v1/alerts
Description
Delete Alerts
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AlertDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"ids": [
"3234bd0f12fa4d0b97ab9feff6c09b8e"
]
}
Example HTTP response
Response 200
{
"ids": [
"3234bd0f12fa4d0b97ab9feff6c09b8e"
]
}
11.3 - 1.2
delete /v1/alerts
Description
Delete Alerts
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AlertDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AlertDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/alerts
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"3234bd0f12fa4d0b97ab9feff6c09b8e"
]
}
Example HTTP response
Response 200
{
"ids": [
"3234bd0f12fa4d0b97ab9feff6c09b8e"
]
}
12 - DeleteBulkDashboards
12.1 - 1.4
delete /v1/dashboards
Description
Delete bulk dashboards
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
12.2 - 1.3
delete /v1/dashboards
Description
Delete bulk dashboards
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
12.3 - 1.2
delete /v1/dashboards
Description
Delete bulk dashboards
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
12.4 - 1.1
delete /v1/dashboards
Description
Delete bulk dashboards
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
12.5 - 1.0
delete /v1/dashboards
Description
Delete bulk dashboards
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | DashboardBulkDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DashboardBulkDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/dashboards
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"dashboard_ids": [
"b48e730a70e74f6aa3d2555000b5c22b",
"c48e730a70e74f6aa3d2555000b5c22b"
]
}
Example HTTP response
Response 200
{
"dashboard_names": [
"dash-abc",
"dash-def"
]
}
13 - DeleteEventRules
13.1 - 1.4
delete /v1/event-rules
Description
Delete Event rules.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRulesDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EventRulesDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
13.2 - 1.3
delete /v1/event-rules
Description
Delete Event rules.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRulesDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EventRulesDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
13.3 - 1.2
delete /v1/event-rules
Description
Delete Event rules.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRulesDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EventRulesDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
13.4 - 1.1
delete /v1/event-rules
Description
Delete Event rules.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRulesDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EventRulesDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
13.5 - 1.0
delete /v1/event-rules
Description
Delete Event rules.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | EventRulesDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | EventRulesDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/event-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
Example HTTP response
Response 200
{
"ids": [
"66d77b4e32d04558b2382b1d14765d86",
"3abcf524eb3d4457b39ef90eab2c9e48",
"ec67101ca2364ca28ad1e69b8084492d",
"f0620e8eb6a843aaaa2714494dfb7dbb",
"0ecc082aa1e3485bba95419c47e0b741"
]
}
14 - DeleteLogGroups
14.1 - 1.4
delete /v1/log-groups
Description
Delete Log groups.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
14.2 - 1.3
delete /v1/log-groups
Description
Delete Log groups.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
14.3 - 1.2
delete /v1/log-groups
Description
Delete Log groups.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
14.4 - 1.1
delete /v1/log-groups
Description
Delete Log groups.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
14.5 - 1.0
delete /v1/log-groups
Description
Delete Log groups.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LogGroupsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
15 - DeleteLogStreams
15.1 - 1.4
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.4 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"
Request body
{
"ids": [
"b0fc99a46a2c44b8b22739b130853dd8",
"36dc853661144df687c4c7f158db5553",
"3f611f40e9f841acbd62639b2779e35e",
"5bd44e218eeb4f6190048a85599ade44",
"188842fa2f13484ba6c9e210b817c780"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
15.2 - 1.3
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.3 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"
Request body
{
"ids": [
"b0fc99a46a2c44b8b22739b130853dd8",
"36dc853661144df687c4c7f158db5553",
"3f611f40e9f841acbd62639b2779e35e",
"5bd44e218eeb4f6190048a85599ade44",
"188842fa2f13484ba6c9e210b817c780"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
15.3 - 1.2
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}/log-streams
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"
Request body
{
"ids": [
"b0fc99a46a2c44b8b22739b130853dd8",
"36dc853661144df687c4c7f158db5553",
"3f611f40e9f841acbd62639b2779e35e",
"5bd44e218eeb4f6190048a85599ade44",
"188842fa2f13484ba6c9e210b817c780"
]
}
Example HTTP response
Response 200
{
"ids": [
"602b39cb1d6b4b7fb0f18de43a4c689c",
"bce52822147744b4afe0187164caa2e8",
"953978a05b5d4ab8b2fc80bb5d0b8b6e",
"3eeb8030bfca4e729b8332f6004628a4",
"4a11695ad4b34539b4cee12db2a14aa9"
]
}
15.4 - 1.1
delete /v1/log-groups/{log_group_id}/log-streams
Description
Delete Log group log streams.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupLogStreamsDeleteRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupsDeleteResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
[...]
